Package org.eclipse.core.commands.util

# Class Tracing

java.lang.Object
org.eclipse.core.commands.util.Tracing

@Deprecated public final class Tracing extends Object
Deprecated.

A utility class for printing tracing output to the console.

Clients must not extend or instantiate this class.

Since:
  3.2 Marked for deletion via Bug 143992
Restriction:
  This class is not intended to be referenced by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SEPARATOR`
Deprecated.
The separator to place between the component and the message.

## Method Summary

Modifier and Type
Method
Description
`static final void`
`printTrace(String component, String message)`
Deprecated.
Prints a tracing message to standard out.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SEPARATOR

public static final String SEPARATOR
Deprecated.
The separator to place between the component and the message.

See Also:
  - Constant Field Values

## Method Details

### printTrace

public static final void printTrace(String component, String message)
Deprecated.

Prints a tracing message to standard out. The message is prefixed by a component identifier and some separator. See the example below.

            BINDINGS >> There are 4 deletion markers

Parameters:
  `component` - The component for which this tracing applies; may be `null`
  `message` - The message to print to standard out; may be `null`.